CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2021-33037

Apache Tomcat 10.0.0-M1 to 10.0.6, 9.0.0.M1 to 9.0.46 and 8.5.0 to 8.5.66 did not correctly parse the HTTP transfer-encoding request header in some circumstances leading to the possibility to request smuggling when used with a reverse proxy. Specifically: - Tomcat incorrectly ignored the transfer encoding header if the client declared it would only accept an HTTP/1.0 response; - Tomcat honoured the identify encoding; and - Tomcat did not ensure that, if present, the chunked encoding was the final encoding.
Publish Date : 2021-07-12 Last Update Date : 2022-05-12
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact None (There is no impact to the availability of the system.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s)
CWE ID 444

- Products Affected By CVE-2021-33037

# Product Type Vendor Product Version Update Edition Language
1 Application Apache Tomcat * * * * Version Details Vulnerabilities
2 Application Apache Tomee 8.0.6 * * * Version Details Vulnerabilities
3 OS Debian Debian Linux 9.0 * * * Version Details Vulnerabilities
4 OS Debian Debian Linux 10.0 * * * Version Details Vulnerabilities
5 Application Mcafee Epolicy Orchestrator * * * * Version Details Vulnerabilities
6 Application Mcafee Epolicy Orchestrator 5.10.0 Update 9 * * Version Details Vulnerabilities
7 Application Mcafee Epolicy Orchestrator 5.10.0 - * * Version Details Vulnerabilities
8 Application Mcafee Epolicy Orchestrator 5.10.0 Update 2 * * Version Details Vulnerabilities
9 Application Mcafee Epolicy Orchestrator 5.10.0 Update 3 * * Version Details Vulnerabilities
10 Application Mcafee Epolicy Orchestrator 5.10.0 Update 7 * * Version Details Vulnerabilities
11 Application Mcafee Epolicy Orchestrator 5.10.0 Update 4 * * Version Details Vulnerabilities
12 Application Mcafee Epolicy Orchestrator 5.10.0 Update 8 * * Version Details Vulnerabilities
13 Application Mcafee Epolicy Orchestrator 5.10.0 Update 5 * * Version Details Vulnerabilities
14 Application Mcafee Epolicy Orchestrator 5.10.0 Update 10 * * Version Details Vulnerabilities
15 Application Mcafee Epolicy Orchestrator 5.10.0 Update 6 * * Version Details Vulnerabilities
16 Application Mcafee Epolicy Orchestrator 5.10.0 Update 1 * * Version Details Vulnerabilities
17 Application Oracle Agile Plm 9.3.6 * * * Version Details Vulnerabilities
18 Application Oracle Communications Cloud Native Core Policy 1.14.0 * * * Version Details Vulnerabilities
19 Application Oracle Communications Cloud Native Core Service Communication Proxy 1.14.0 * * * Version Details Vulnerabilities
20 Application Oracle Communications Diameter Signaling Router * * * * Version Details Vulnerabilities
21 Application Oracle Communications Instant Messaging Server 10.0.1.5.0 * * * Version Details Vulnerabilities
22 Application Oracle Communications Policy Management 12.5.0 * * * Version Details Vulnerabilities
23 Application Oracle Communications Pricing Design Center 12.0.0.3.0 * * * Version Details Vulnerabilities
24 Application Oracle Communications Session Report Manager * * * * Version Details Vulnerabilities
25 Application Oracle Communications Session Route Manager * * * * Version Details Vulnerabilities
26 Application Oracle Graph Server And Client * * * * Version Details Vulnerabilities
27 Application Oracle Healthcare Translational Research 4.1.0 * * * Version Details Vulnerabilities
28 Application Oracle Hospitality Cruise Shipboard Property Management System 20.1.0 * * * Version Details Vulnerabilities
29 Application Oracle Instantis Enterprisetrack 17.1 * * * Version Details Vulnerabilities
30 Application Oracle Instantis Enterprisetrack 17.2 * * * Version Details Vulnerabilities
31 Application Oracle Instantis Enterprisetrack 17.3 * * * Version Details Vulnerabilities
32 Application Oracle Managed File Transfer 12.2.1.3.0 * * * Version Details Vulnerabilities
33 Application Oracle Managed File Transfer 12.2.1.4.0 * * * Version Details Vulnerabilities
34 Application Oracle Mysql Enterprise Monitor * * * * Version Details Vulnerabilities
35 Application Oracle Sd-wan Edge 9.0 * * * Version Details Vulnerabilities
36 Application Oracle Sd-wan Edge 9.1 * * * Version Details Vulnerabilities
37 Application Oracle Secure Global Desktop 5.6 * * * Version Details Vulnerabilities
38 Application Oracle Utilities Testing Accelerator 6.0.0.1.1 * * * Version Details Vulnerabilities
39 Application Oracle Utilities Testing Accelerator 6.0.0.2.2 * * * Version Details Vulnerabilities
40 Application Oracle Utilities Testing Accelerator 6.0.0.3.1 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Apache Tomcat 1
Apache Tomee 1
Debian Debian Linux 2
Mcafee Epolicy Orchestrator 12
Oracle Agile Plm 1
Oracle Communications Cloud Native Core Policy 1
Oracle Communications Cloud Native Core Service Communication Proxy 1
Oracle Communications Diameter Signaling Router 1
Oracle Communications Instant Messaging Server 1
Oracle Communications Policy Management 1
Oracle Communications Pricing Design Center 1
Oracle Communications Session Report Manager 1
Oracle Communications Session Route Manager 1
Oracle Graph Server And Client 1
Oracle Healthcare Translational Research 1
Oracle Hospitality Cruise Shipboard Property Management System 1
Oracle Instantis Enterprisetrack 3
Oracle Managed File Transfer 2
Oracle Mysql Enterprise Monitor 1
Oracle Sd-wan Edge 2
Oracle Secure Global Desktop 1
Oracle Utilities Testing Accelerator 3

- References For CVE-2021-33037

https://www.oracle.com/security-alerts/cpuapr2022.html
https://lists.apache.org/thread.html/rd0dfea39829bc0606c936a16f6fca338127c86c0a1083970b45ac8d2@%3Ccommits.tomee.apache.org%3E
MLIST [tomee-commits] 20210830 [jira] [Commented] (TOMEE-3778) Update embedded Tomcat to 9.0.48 or later to address CVE-2021-33037
https://lists.apache.org/thread.html/r290aee55b72811fd19e75ac80f6143716c079170c5671b96932ed44b@%3Ccommits.tomee.apache.org%3E
MLIST [tomee-commits] 20210913 [jira] [Commented] (TOMEE-3778) Update embedded Tomcat to 9.0.48 or later to address CVE-2021-33037
https://kc.mcafee.com/corporate/index?page=content&id=SB10366 CONFIRM
https://www.oracle.com/security-alerts/cpujan2022.html
https://lists.apache.org/thread.html/rf1b54fd3f52f998ca4829159a88cc4c23d6cef5c6447d00948e75c97@%3Ccommits.tomee.apache.org%3E
MLIST [tomee-commits] 20210914 [jira] [Commented] (TOMEE-3778) Update embedded Tomcat to 9.0.48 or later to address CVE-2021-33037
https://lists.apache.org/thread.html/r612a79269b0d5e5780c62dfd34286a8037232fec0bc6f1a7e60c9381%40%3Cannounce.tomcat.apache.org%3E
https://www.oracle.com/security-alerts/cpuoct2021.html
https://lists.debian.org/debian-lts-announce/2021/08/msg00009.html
MLIST [debian-lts-announce] 20210805 [SECURITY] [DLA 2733-1] tomcat8 security update
https://www.debian.org/security/2021/dsa-4952
DEBIAN DSA-4952
https://security.netapp.com/advisory/ntap-20210827-0007/ CONFIRM
https://www.oracle.com//security-alerts/cpujul2021.html
N/A N/A
https://lists.apache.org/thread.html/rc6ef52453bb996a98cb45442871a1db56b7c349939e45d829bf9ae37@%3Ccommits.tomee.apache.org%3E
MLIST [tomee-commits] 20210916 [jira] [Resolved] (TOMEE-3778) Update embedded Tomcat to 9.0.48 or later to address CVE-2021-33037
https://lists.apache.org/thread.html/re01e7e93154e8bdf78a11a23f9686427bd3d51fc6e12c508645567b7@%3Ccommits.tomee.apache.org%3E
MLIST [tomee-commits] 20210728 [jira] [Commented] (TOMEE-3778) Update embedded Tomcat to 9.0.48 or later to address CVE-2021-33037
https://lists.apache.org/thread.html/r40f921575aee8d7d34e53182f862c45cbb8f3d898c9d4e865c2ec262@%3Ccommits.tomee.apache.org%3E
MLIST [tomee-commits] 20210728 [jira] [Created] (TOMEE-3778) Update embedded Tomcat to 9.0.48 or later to address CVE-2021-33037

- Metasploit Modules Related To CVE-2021-33037

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.